AT(1)

NAME
at, batch - execute commands at a later time

SYNOPSIS
at time [ date ] [ + increment ]
at -l [ job ... ]
at -r job ...
batch

DESCRIPTION
at and batch read commands from standard input to be executed at a later time. at is a convenient way of having commands executed at a specified time, while batch will execute commands when system load level permits.

Users are allowed to use at and batch if their names appear in the file /var/spool/cron/at.allow. If that file does not exist, the file /var/spool/cron/at.deny is checked to see if the user is to be denied access to either command. If neither file exists, only root has access. If only at.deny exists, and it is empty, all users have access. The at.allow and at.deny files consist of one user name per line.

In the first form of the at command, the time may be specified as 1, 2 or 4 digits, i.e. if 'h' represents an hour digit and 'm' a minute digit, the following are all valid: h hh hhmm
Alternately, the time may be specified as two numbers separated by a colon, meaning hour:minute. The 24-hour clock is assumed, unless the suffix am or pm is appended. Other valid suffices are: noon, midnight, now, next and zulu. The last one indicates GMT.

The optional date is either:
(1) a month name (first 3 characters or full name) followed by a day number (optionally followed by a comma and a year number).
(2) a day of the week (first 3 characters or full name).
(3) a `special' name: today or tomorrow.
If the date is not specified, and the specified hour has not yet passed, today is assumed, otherwise tomorrow.

The optional increment is a number suffixed by one of the following: minute[s], hour[s], day[s], week[s], month[s], or year[s].

Examples of legitimate commands are

    at 4pm jun 12
    at 17:05 tomorrow
    at now + 1 week

If standard output and standard error are not redirected, any generated output or errors will be mailed to the user. Commands will be executed by /usr/bin/sh. The environment variables, current directory, umask and ulimit are retained when the commands are executed. Open files, traps and priority are lost.

AT OPTIONS

-l  list jobs

-r  remove jobs previously scheduled by at or batch. The job number is the number reported when the job was queued (also shown by -l option). Only root can remove a job queued by another user.

FILES
/var/spool/cron/atjobs    where user atjob files are stored
/var/spool/cron/at.allow  list of allowed users
/var/spool/cron/at.deny   list of denied users

SEE ALSO
crontab(1), sh(1), umask(2), cron(8)

DIAGNOSTICS
Complains about various syntax errors and times out of range.